Bug 435679

Summary: external vga display goes blank when xorg startes
Product: [Fedora] Fedora Reporter: Gordon Hay <gordon>
Component: xorg-x11-drv-atiAssignee: Dave Airlie <airlied>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 8CC: xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 02:41:33 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
xorg.conf with external display working
none
Xorg.0.log with external display working
none
xorg.conf -- fails
none
Xorg.0.log created when no xorg.conf exists -- fails
none
Default xorg.conf file - external display not working
none
Xorg.0.log - external display not working
none
xrandr output - external display not working none

Description Gordon Hay 2008-03-03 05:29:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
Booting F8, external display behaves normally at first, but when
graphical stuff starts, it goes blank and stays blank.  Laptop
display continues to work normally.  

I'm only trying to display the same desktop simultaneously on both
displays.  No split desktops or double desktops, or anything fancy.

It all worked properly with FC5, and subsequent upgrades to FC6 and then
F7.  Problem appeared only on upgrade to F8.  All F8 updates applied.
Everything still works normally if I boot Windows XP instead of F8.
Also works OK (but slowly) if I specify VESA in xorg.conf instead of ATI or radeon.

Config is: Compaq Evo N1020v laptop with Radeon IGP 340M graphics.
External display is just an old Gateway EV500 15" CRT.  Both displays
are 1024*768.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.8.0-1.fc8

How reproducible:
Always


Steps to Reproduce:
1.Specify ATI driver instead of VESA
2.Restart X
3.

Actual Results:
External screen is blank.

Expected Results:
External screen should display same as laptop LCD.

Additional info:
xrandr reports "VGA-0 disconnected", but it certainly is connected, and
both Ubuntu and XP can find it OK on the same hardware.

I suspect a very recent ATI driver update has made this worse: xrandr
used to find the screen, though it was blank.  I could make it mirror
the laptop display by saying
"xrandr --output LVDS --mode 800x600" followed by
"xrandr --output LVDS --mode 1024x768"
But now nothing seems to work...

Laptop attached to docking station, and through that to the external display.
Comment 1 David Wood 2008-03-03 07:10:33 EST
Me too with a Compaq nx9010, same graphics card.  I can make the external
display work by forcing installation of these packages over the rawhide versions:
xorg-x11-server-Xorg-1.3.0.0-40.fc8.i386
xorg-x11-drv-ati-6.7.196-2.fc8.i386

It certainly doesn't work with these f9 packages:
xorg-x11-drv-ati-6.8.0-2.fc9.i386
xorg-x11-server-common-1.4.99.1-0.26.20080227.fc9.i386
xorg-x11-server-Xorg-1.4.99.1-0.26.20080227.fc9.i386

I suspect the step from the ati-6.7.* driver to the ati-6.8.* driver broke it.
Comment 2 Matěj Cepl 2008-03-03 08:00:15 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 David Wood 2008-03-03 08:14:46 EST
Created attachment 296587 [details]
xorg.conf with external display working
Comment 4 David Wood 2008-03-03 08:15:42 EST
Created attachment 296588 [details]
Xorg.0.log with external display working
Comment 5 Gordon Hay 2008-03-03 09:16:28 EST
Created attachment 296602 [details]
xorg.conf -- fails

This xorg.conf uses the "radeon" driver, and leads to a blank VGA external
screen.
Changing "radeon" to "vesa" bypasses the problem.
Comment 6 Gordon Hay 2008-03-03 09:18:16 EST
Created attachment 296603 [details]
Xorg.0.log created when no xorg.conf exists -- fails
Comment 7 Gordon Hay 2008-03-03 09:42:43 EST
I have dropped back to:
xorg-x11-server-Xorg-1.3.0.0-40.fc8.i386, and
xorg-x11-drv-ati-6.7.196-2.fc8.i386

Screen is still initially blank, but now I can again wake it up with:
"xrandr --output LVDS --mode 800x600" followed by
"xrandr --output LVDS --mode 1024x768"


Comment 8 David Wood 2008-03-03 09:54:20 EST
Created attachment 296612 [details]
Default xorg.conf file - external display not working

This is the default file created by system-config-display using the rawhide
xorg installation.  The external display fails to work whether this file exists
or not.
Comment 9 David Wood 2008-03-03 10:00:06 EST
Created attachment 296613 [details]
Xorg.0.log - external display not working
Comment 10 David Wood 2008-03-03 10:01:34 EST
Created attachment 296615 [details]
xrandr output - external display not working

Note that the external display has been detected by xrandr and a legitimate
mode has been selected.  However, the VGA-0 display is still blank.
Comment 11 David Wood 2008-03-03 10:47:09 EST
Update: To roll back from rawhide xorg to a working f8 setup I actually had to
force install a few more components:
The two files in comment 7 plus ...
xorg-x11-drv-evdev-1.1.2-5.fc8.i386.rpm
xorg-x11-drv-keyboard-1.2.2-2.fc8.i386.rpm
xorg-x11-drv-mouse-1.2.3-1.fc8.i386.rpm
xorg-x11-drv-vesa-1.3.0-10.fc8.i386.rpm
xorg-x11-drv-void-1.1.1-6.fc8.i386.rpm
I don't know if all are required or if one of these fixes the external display
problem, but if I don't replace these, xorg crashes when trying to start.
Comment 12 Matěj Cepl 2008-03-03 11:42:41 EST
Might be duplicate of bug 435382, but I am not sure about that.
Comment 13 todd_lewis 2008-03-03 22:21:39 EST
Might be the same issue, but after the xorg-x11-drv-ati-6.8.0-1.fc8 upgrade,
although my X display still works, my virtual consoles are extremely dim. I
thought they were blank at first, but bumping up the contrast and brightness all
the way shows very faint consoles. My virtual consoles were working fine before
the xorg-x11-drv-ati-6.8.0-1.fc8 upgrade, and they work fine until X starts.
Stopping X and dropping back to, say, runlevel 3 has no effect -- the console
displays are extremely dark (detectable, but unreadable).
Comment 14 David Wood 2008-03-27 06:47:15 EDT
Just booted this laptop (compaq nx9010, Radeon IGP 340M graphics) with the F9
Beta Live-CD release and I get nothing at all on the VGA-0 output, not even text
output.  xrandr reports it as disconnected, which seems worse than my rawhide
version which at least reports the presence of the external display even if
though it still fails to display anything.  My working setup still requires
these F8 components to be overlaid onto the F9 installation:
xorg-x11-drv-void-1.1.1-6.fc8.i386
xorg-x11-drv-mouse-1.2.3-1.fc8.i386
xorg-x11-server-Xorg-1.3.0.0-42.fc8.i386
xorg-x11-drv-ati-6.7.196-2.fc8.i386 (not the later 6.8.0 version)
xorg-x11-drv-keyboard-1.2.2-2.fc8.i386
xorg-x11-drv-vesa-1.3.0-10.fc8.i386
Comment 15 David Wood 2008-04-04 08:20:32 EDT
Ongoing problem with the current rawhide (destined to be F9).  The void and vesa
drivers aren't needed to fix the problem.  So, to summarize the current position:

1. Fully update system to rawhide.  External (VGA-0) display goes blank as soon
as rhgb starts.  Display returns if I switch back to text mode with ctrl-alt-f1

2. From text mode, use "rpm -ivh --force" to install these four F8 packages:
xorg-x11-drv-keyboard-1.2.2-2.fc8.i386
xorg-x11-drv-mouse-1.2.3-1.fc8.i386
xorg-x11-drv-ati-6.7.196-2.fc8.i386
xorg-x11-server-Xorg-1.3.0.0-44.fc8.i386
The last one now also requires --nodeps because mesa-libGL needs the F9 server
package.

3. Restart the x-server using "init 3" and "init 5".  VGA-0 display now works
fine.  Note that using the xorg-x11-drv-ati-6.8.0-1.fc8.i386.rpm doesn't work.
Comment 16 Dave Airlie 2008-05-08 04:55:49 EDT
any chance of trying the latest F9 driver?
Comment 17 David Wood 2008-05-08 05:42:45 EDT
Laptop fully updated from rawhide today. External monitor (HP L1906) connected,
both displays show text output.  External monitor goes to sleep as soon as rhgb
starts.  From the laptop display I can see that xrandr reports that VGA-0 is
connected and it lists the correct display modes but there is no * against the
1280x1024 60.0 + mode.  Typing "xrandr --output VGA-0 --auto" puts a * against
this mode but the external display remains asleep.  Following steps 2 and 3 in
comment #15 gets me back to a working external monitor (although I still need to
type "xrandr --output LVDS --off" to put the gnome panel at the bottom of the
1280x1024 external display).
Comment 18 David Wood 2008-11-07 04:25:19 EST
No problems with F10 (from rawhide).  Both displays work and are easy to configure with the screen resolution tool.
Comment 19 Matěj Cepl 2008-11-07 10:45:12 EST
Reporter, are you still able to reproduce this problem with the latest packages?
Comment 20 Gordon Hay 2008-11-09 06:07:03 EST
Problem was reported on FC8, and is still readily reproduced.  Since reporting the problem, I have installed all updates as they became available.  No change.
Comment 21 Bug Zapper 2008-11-26 04:59:50 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Gordon Hay 2008-12-06 14:06:45 EST
I have not installed FC10 on the affected hardware, but have booted the Live CD and find the problem to be apparently the same as on FC8.  Symptoms identical, workaround identical, by issuing
xrandr --output LVDS --mode 800x600  followed by
xrandr --output LVDS --mode 1024x768

Ubuntu 8.10 behaves the same as FC10, but Windows XP continues to see the external display without apparent difficulty.
Comment 23 Bug Zapper 2009-01-09 02:41:33 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.